Altibase.jdbc.driver.cm

## Class CmClobGetResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmResult
  - - Altibase.jdbc.driver.cm.CmClobGetResult

    public class CmClobGetResult
    extends CmResult

### Constructor Summary

Constructors
Constructor and Description
`CmClobGetResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addByteLength(long aByteLength)`
`long` `getByteLength()`
`long` `getCharLength()`
`long` `getLocatorId()`
`long` `getOffset()`
`void` `init(long aLocatorId, long aOffset, long aCharLength)`
`void` `setByteLength(long aByteLength)`
`void` `setCharLengthToGet(int aCharLength)`

### Methods inherited from class Altibase.jdbc.driver.cm.CmResult

`getError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmClobGetResult

    public CmClobGetResult()

### Method Detail

#### init

    public void init(long aLocatorId,
                     long aOffset,
                     long aCharLength)

#### getLocatorId

    public long getLocatorId()

#### getCharLength

    public long getCharLength()

#### setCharLengthToGet

    public void setCharLengthToGet(int aCharLength)

#### getOffset

    public long getOffset()

#### getByteLength

    public long getByteLength()

#### setByteLength

    public void setByteLength(long aByteLength)

#### addByteLength

    public void addByteLength(long aByteLength)